ZynthianOS: the upcoming Zynthian SD image

#44

Good news, Zynthianers!

The nightly build system is working again, generating fresh SD images.
Remember, it’s an experimental image yet, but it should be the official SD image very very soon …

Enjoy!

2 Likes

#45

Could you make I wiki page with the changes?
I never could make those images work.
Especially things like starting Zynthian.sh or webconf manually.

1 Like

#46

my current test fails with this error message

Traceback (most recent call last):
File “/usr/local/lib/python3.5/dist-packages/PIL/ImageTk.py”, line 176, in paste
tk.call(“PyImagingPhoto”, self.__photo, block.id)
_tkinter.TclError: invalid command name “PyImagingPhoto”

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “./zynthian_gui.py”, line 42, in
import zynautoconnect
File “/home/pi/zynthian-ui/zynautoconnect/init.py”, line 5, in
from zynautoconnect.zynthian_autoconnect import *
File “/home/pi/zynthian-ui/zynautoconnect/zynthian_autoconnect.py”, line 35, in
from zyngui import zynthian_gui_config
File “/home/pi/zynthian-ui/zyngui/init.py”, line 27, in
import zyngui.zynthian_gui_config as zynthian_gui_config
File “/home/pi/zynthian-ui/zyngui/zynthian_gui_config.py”, line 393, in
loading_imgs.append(ImageTk.PhotoImage(pil_frame2))
File “/usr/local/lib/python3.5/dist-packages/PIL/ImageTk.py”, line 115, in init
self.paste(image)
File “/usr/local/lib/python3.5/dist-packages/PIL/ImageTk.py”, line 180, in paste
from PIL import _imagingtk
ImportError: cannot import name ‘_imagingtk’

0 Likes

#47

Hi @mheidt!

What image (date) have you tested?

Regards,

0 Likes

#48

03-13, but I updated it. (via ssh, bc webconf is broken cause of missing mido)

0 Likes

#49

Yes, I’m having big problems for getting a decent build in the last weeks.
Yesterday’s build seems to be better (03-19) … if you want to test it :wink:

Regards,

0 Likes

#50

03-19: webconf doesn’t start

raceback (most recent call last):
File “./zynthian_webconf.py”, line 34, in
from lib.dashboard_handler import DashboardHandler
File “/home/pi/zynthian-webconf/lib/dashboard_handler.py”, line 31, in
from lib.zynthian_config_handler import ZynthianConfigHandler
File “/home/pi/zynthian-webconf/lib/zynthian_config_handler.py”, line 28, in
import liblo
ImportError: No module named ‘liblo’

the last one that worked for me was 03-01

We should keep a permanent forum or wiki topic to collect the experience.
And copy those that work somewhere else where they won’t be pruned.

0 Likes

#51

I had to run
pip3 install Cython
pip3 install pyliblo

to make it work

but zynthian-ui still fails:

Building XImage…done
Traceback (most recent call last):
File “/usr/lib/python3.5/tkinter/init.py”, line 36, in
import _tkinter
ImportError: No module named ‘_tkinter’

0 Likes

#52

Ups! It seems really faulty … Next time it will work!! :wink:

0 Likes

#53

Can’t bring up AudioInjector zynth … . .built from 03-01

fails as below…

root@zynthian-nord:/zynthian/zynthian-ui# python3 zynthian_gui.py
Cannot read socket fd = 11 err = Success
CheckRes error
JackSocketClientChannel read fail
Cannot open ZynMidiRouter client
JackShmReadWritePtr1::~JackShmReadWritePtr1 - Init not done for -1, skipping unl                                ock
JackShmReadWritePtr::~JackShmReadWritePtr - Init not done for -1, skipping unloc                                k
JackShmReadWritePtr::~JackShmReadWritePtr - Init not done for -1, skipping unloc                                k
ZynMidiRouter: Error connecting with jack server.
ZynMidiRouter: MIDI tuning frequency set to 440 Hz (8192)
Segmentation fault
root@zynthian-nord:/zynthian/zynthian-ui# python3 zynthian_gui.py
Cannot open ZynMidiRouter client
JackShmReadWritePtr1::~JackShmReadWritePtr1 - Init not done for -1, skipping unlock
JackShmReadWritePtr::~JackShmReadWritePtr - Init not done for -1, skipping unlock
JackShmReadWritePtr::~JackShmReadWritePtr - Init not done for -1, skipping unlock
ZynMidiRouter: Error connecting with jack server.
ZynMidiRouter: MIDI tuning frequency set to 440 Hz (8192)
Segmentation fault
root@zynthian-nord:/zynthian/zynthian-ui#

I get UI and MIDI status with many Xruns if I try to use the MIDI Log. No sound, not even test sound.

0 Likes

#54

Yes, I only got an original zynthian running with ZynthianOS so far. Not my other two Audioinjector ones.

0 Likes

#55

This is what I’ve found so far …

https://linuxmusicians.com/viewtopic.php?f=27&t=19590&hilit=JackShmReadWritePtr&start=15#p102741

0 Likes

#56

That seems rather better after overlays updated.

1 Like

#57

04-02 doesn’t start at all. Not even on an original.
red error screen without IP!

0 Likes

#58

Yes! I know and i’m working on it …

0 Likes

#59

Clean working build from 2019-04-03-zynthianos-stretch-lite-1.0.0.zip

0 Likes

#60

But it’s not working yet … it need some adjustments … although i’m really close now :wink:

0 Likes

#61

Thank you for constantly improving the system., siI am downloading this now.
If this image is failing, can I update/upgrade it easily through the UI or the webconfuguration?

Thanks in advance and God bless, Marius

0 Likes

#62

Hi @zynthianers!

The last image from the night-building system is quite good:

https://os.zynthian.org/2019-04-08-zynthianos-stretch-lite-1.0.0.zip

We can consider this image as a pre-release candidate. A few fixes more and we will have the first Aruk Release Candidate: RC1

Stay tuned!

2 Likes

#63

Aruk?
Alzheimer Research UK?

2 Likes